org.apache.tamaya.model.spi

## Class ParameterModel.Builder

- java.lang.Object
- - org.apache.tamaya.model.spi.ParameterModel.Builder

- Enclosing class:
    ParameterModel

      public static class ParameterModel.Builder
      extends Object

  A new Builder for creating ParameterModel instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterModel.Builder(String name)` Creates a new Builder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigModel` | `build()` Creates a new ConfigModel with the given parameters.
    `ParameterModel.Builder` | `setDescription(String description)` Sets the optional description
    `ParameterModel.Builder` | `setExpression(String expression)` Sets the optional validation expression
    `ParameterModel.Builder` | `setName(String name)` Sets the fully qualified parameter name.
    `ParameterModel.Builder` | `setProvider(String provider)` Set the provider.
    `ParameterModel.Builder` | `setRequired(boolean required)` Sets the required flag.
    `ParameterModel.Builder` | `setType(String type)` Sets the target type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterModel.Builder

          public ParameterModel.Builder(String name)

      Creates a new Builder.
      Parameters:
        `name` - the fully qualified parameter name, not null.

  - ### Method Detail

    - #### setType

          public ParameterModel.Builder setType(String type)

      Sets the target type.
      Parameters:
        `type` - the type, not null.
      Returns:
        the Builder for chaining

    - #### setRequired

          public ParameterModel.Builder setRequired(boolean required)

      Sets the required flag.
      Parameters:
        `required` - the required flag.
      Returns:
        the Builder for chaining

    - #### setDescription

          public ParameterModel.Builder setDescription(String description)

      Sets the optional description
      Parameters:
        `description` - the description
      Returns:
        the Builder for chaining

    - #### setExpression

          public ParameterModel.Builder setExpression(String expression)

      Sets the optional validation expression
      Parameters:
        `expression` - the validation expression
      Returns:
        the Builder for chaining

    - #### setName

          public ParameterModel.Builder setName(String name)

      Sets the fully qualified parameter name.
      Parameters:
        `name` - the fully qualified parameter name, not null.
      Returns:
        the Builder for chaining

    - #### setProvider

          public ParameterModel.Builder setProvider(String provider)

      Set the provider.
      Parameters:
        `provider` - the provider.
      Returns:
        the Builder for chaining

    - #### build

          public ConfigModel build()

      Creates a new ConfigModel with the given parameters.
      Returns:
        a new ConfigModel , never null.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.